rpma_peer_cfg_delete(3)

NAME
rpma_peer_cfg_delete - delete the peer configuration object

SYNOPSIS
      #include <librpma.h>

      struct rpma_peer_cfg;
      int rpma_peer_cfg_delete(struct rpma_peer_cfg **pcfg_ptr);

DESCRIPTION
rpma_peer_cfg_delete() deletes the peer configuration object.

RETURN VALUE
The rpma_peer_cfg_delete() function returns 0 on success or a negative error code on failure. rpm_peer_cfg_delete() does not set *pcfg_ptr value to NULL on failure.

ERRORS
rpma_peer_cfg_delete() can fail with the following error:

•   RPMA_E_INVAL - pcfg_ptr is NULL

SEE ALSO
rpma_peer_cfg_new(3), librpma(7) and https://pmem.io/rpma/